Bug 1414101 - XFCE Desktop Background chooser triggers SELinux alert
Summary: XFCE Desktop Background chooser triggers SELinux alert
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 18:37 UTC by Paul Sadauskas
Modified: 2017-12-12 10:53 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:53:29 UTC
Type: Bug


Attachments (Terms of Use)
SELinux alert (69.44 KB, image/png)
2017-01-17 18:37 UTC, Paul Sadauskas
no flags Details
Background chooser missing thumbnails (45.41 KB, image/png)
2017-01-17 18:38 UTC, Paul Sadauskas
no flags Details
Background chooser unable to select any files (50.70 KB, image/png)
2017-01-17 18:38 UTC, Paul Sadauskas
no flags Details

Description Paul Sadauskas 2017-01-17 18:37:58 UTC
Created attachment 1241908 [details]
SELinux alert

Description of problem: When attempting to change the background in XFCE in a fresh install of the XFCE-spin, I get an SELinux alert. The dialog then never shows any background thumbnails, and can't choose any files.

Performing both of the steps outlined in the SELinux Troubleshooter don't fix anything, the SELinux error just pops up again. It seems like I need a more relaxed restriction on allowing the picker to access the `.cache/thumbnails` dir, and also to the directories containing images, `/usr/share` and `$HOME`. Its not clear to me what the "pool" source process is.

I'm able to view those directories in the file manager with no problems.


Version-Release number of selected component (if applicable):


How reproducible: Always


Steps to Reproduce:
1. Install the Fedora 25 XFCE Spin
2. Try to change the deskop background via the settings dialog

Actual results: SELinux prevents the background chooser from accessing any files.


Expected results: I'm able to change the background.


Additional info:

Comment 1 Paul Sadauskas 2017-01-17 18:38:29 UTC
Created attachment 1241909 [details]
Background chooser missing thumbnails

Comment 2 Paul Sadauskas 2017-01-17 18:38:57 UTC
Created attachment 1241910 [details]
Background chooser unable to select any files

Comment 3 Fedora End Of Life 2017-11-16 19:50:19 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-12-12 10:53:29 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.